#
# spec file for package xmvn-connector-ivy
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global parent xmvn
%global subname connector-ivy
Name:           %{parent}-%{subname}
VCS: https://src.suse.de/SLFO-pool/xmvn-connector-ivy#4d6b805a2e67a94a789c53cc3ba3ff8216ba9e671d9a94e130c314e2bf407306
Version:        4.0.0
Release:        160000.1.7
Summary:        XMvn Connector for Apache Ivy
License:        Apache-2.0
Group:          Development/Tools/Building
URL:            https://fedora-java.github.io/xmvn/
Source0:        %{name}-%{version}.tar.xz
Source1:        %{name}-build.xml
BuildRequires:  %{parent}-api >= 4.0.0
BuildRequires:  ant
BuildRequires:  apache-ivy
BuildRequires:  fdupes
BuildRequires:  java-devel >= 1.8
BuildRequires:  javapackages-local
BuildRequires:  slf4j
BuildRequires:  xmvn-install
BuildRequires:  xmvn-resolve
BuildArch:      noarch

%description
This package provides XMvn MOJO, which is a Maven plugin that consists
of several MOJOs.  Some goals of these MOJOs are intended to be
attached to default Maven lifecycle when building packages, others can
be called directly from Maven command line.

%package javadoc
Summary:        API documentation for %{name}
Group:          Documentation/HTML

%description javadoc
This package provides %{summary}.

%prep
%setup -q
cp %{SOURCE1} build.xml

%{mvn_file} :%{name} %{parent}/%{name}

%build
mkdir -p lib
build-jar-repository -s lib \
    ivy slf4j %{parent}

%{ant} \
    -Dtest.skip=true \
    package javadoc

%{mvn_artifact} pom.xml target/%{name}-*.jar

%install
%mvn_install
%fdupes -s %{buildroot}%{_javadocdir}

%files -f .mfiles
%license LICENSE NOTICE
%doc AUTHORS README.md

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE

%changelog
* Thu Mar 14 2024 fstrba@suse.com
- Official 4.0.0 relase
  * No changes from the previous snapshot, just an official tag
* Tue Sep 12 2023 fstrba@suse.com
- Reproducible: don't include timestamp in javadoc
* Fri May  5 2023 fstrba@suse.com
- Upgrade to git checkout from June 2022 with our patch integrated
* Tue May 10 2022 fstrba@suse.com
- Upgrade to a git checkout of unreleased upcoming 4.0.0
  * Allow building with Java 8
  * 'argLine' should not be a global property
  * Enable access to non-public elements of java.lang
  * Remove dependency on xmvn-parent POM
  * Import xmvn-connector-ivy sources from xmvn
- Become a standalone package independent of xmvn sources
* Thu Nov 21 2019 fstrba@suse.com
- Upgrade to upstream version 3.1.0
  * Remove unused IvyLoggerAdapter
- Removed patches:
  * 0001-Fix-installer-plugin-loading.patch
  * 0001-Port-to-Gradle-4.2.patch
  * 0001-Port-to-Gradle-4.3.1.patch
  * 0001-Support-setting-Xdoclint-none-in-m-javadoc-p-3.0.0.patch
  * 0001-Fix-configuration-of-aliased-plugins.patch
  * 0001-Don-t-use-JAXB-for-converting-bytes-to-hex-string.patch
  * 0001-Use-apache-commons-compress-for-manifest-injection-a.patch
  * 0001-port-to-gradle-4.4.1.patch
  * 0001-Replace-JAXB-parser.patch
    + Integrated in this version
* Wed Mar 27 2019 fstrba@suse.com
- Initial packaging of xmvn-connector-ivy 3.0.0
